Skip to main content
Get GitRepo configuration by ID
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for the ZedCloud gateway user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

gitrepoId
string
required

Unique identifier of the GitRepo (required). Example: 'gitrepo-abc123'

Response

Successfully retrieved GitRepo configuration

Complete response for GitRepo GET operations including metadata, specification, and status

id
string

Unique identifier of the GitRepo

name
string

Name of the GitRepo configuration

title
string

Display title of the GitRepo configuration

description
string

Description of the GitRepo configuration

workspace
string

Workspace where the GitRepo is deployed

data
GitRepo data · object

Specification details

status
GitRepo get status · object

Current status information

events
GitRepo events · object[]

List of events related to the GitRepo

createdAt
string<date-time>

Timestamp when the GitRepo was created

updatedAt
string<date-time>

Timestamp when the GitRepo was last updated

createdBy
string

User who created the GitRepo

updatedBy
string

User who last updated the GitRepo